> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-release-schedule.md).

# Get Booking Release Schedule

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingReleaseSchedule`

Get a list of booking release schedule for venue.

#### Request Body

| Name                                      | Type    | Description                                                                                                       |
| ----------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| venueId<mark style="color:red;">\*</mark> | integer | The unique identifier of the venue to which the bookings belong                                                   |
| bookingId                                 | integer | The unique id of the booking to which the release schedule term applies                                           |
| start                                     | integer | The starting result of the page. Note this is zero based (i.e. sending start=0 will start from the first result.) |
| perPage<mark style="color:red;">\*</mark> | integer | The number of booking release schedule to fetch                                                                   |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 3,
        "start": 0,
        "perPage": 5,
        "count": 3
    },
    "results": [{
        "bookingId": 4288,
        "venueId": 166,
        "type": 1,
        "numDaysFromEvent": 10,
        "numOfRooms": 0,
        "percentageOfRooms": 5
    }, {
        "bookingId": 4288,
        "venueId": 166,
        "type": 0,
        "numDaysFromEvent": 15,
        "numOfRooms": 5,
        "percentageOfRooms": 0
    }, {
        "bookingId": 4289,
        "venueId": 166,
        "type": 0,
        "numDaysFromEvent": 15,
        "numOfRooms": 5,
        "percentageOfRooms": 0
    }]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the booking release schedule the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-release-schedule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
